<?php

namespace Toloka\PhpApi\Models\Topic;

use Toloka\PhpApi\Client;
use Toloka\PhpApi\TopicInterface;

class TopicBase implements TopicInterface {

  protected int $id;

  protected string $title;

  public static function create(array $data): TopicInterface {
    switch ($data['type']) {
      default:
        $class = TopicBase::class;
        break;

      case 'movie':
        $class = Movie::class;
        break;
    }
    $topic = new $class;

  }

  /**
   * @return int
   */
  public function id(): int {
    return $this->id;
  }

  /**
   * @return string
   */
  public function title(): string {
    return $this->title;
  }

  /**
   * {@inheritDoc}
   */
  public function url(bool $absolute = TRUE): string {
    return Client::$base_url . '/t' . $this->id();
  }

}
